## unibilium 1.1.4

=== debian/changelog ===
unibilium (1.1.4-1) unstable; urgency=medium

  * New upstream release
  * Make libunibilium-dbg M-A: same

 -- James McCoy <jamessan@debian.org>  Wed, 17 Jun 2015 23:08:40 -0400

unibilium (1.1.3-1) unstable; urgency=medium

  * Initial upload. (Closes: #783043)

 -- James McCoy <jamessan@debian.org>  Sat, 25 Apr 2015 23:07:24 -0400
