## unibilium 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,30 @@
+ifneq ($(wildcard .git),)
+  -include maint.mk
+endif
+
 ifeq ($(shell uname),Darwin)
   LIBTOOL?=glibtool
 else
   LIBTOOL?=libtool
 endif
 
-CFLAGS?=
+CFLAGS?=-O2
 
 CFLAGS_DEBUG=
 
 PACKAGE=unibilium
 
 PKG_MAJOR=1
-PKG_MINOR=1
-PKG_REVISION=3
+PKG_MINOR=2
+PKG_REVISION=0
 
 PKG_VERSION=$(PKG_MAJOR).$(PKG_MINOR).$(PKG_REVISION)
 
 # I am implementation $LT_REVISION of binary interface $LT_CURRENT, which is
 # a superset of all interfaces back to $LT_CURRENT - $LT_AGE.
-LT_REVISION=1
-LT_CURRENT=2
-LT_AGE=2
+LT_REVISION=0
+LT_CURRENT=3
+LT_AGE=3
 
 PREFIX=/usr/local
 LIBDIR=$(PREFIX)/lib
@@ -59,13 +63,13 @@
 	$(LIBTOOL) --mode=compile --tag=CC $(CC) -I. -DTERMINFO_DIRS='$(TERMINFO_DIRS)' -Wall -std=c99 $(CFLAGS) $(CFLAGS_DEBUG) -o $@ -c $<
 
 $(LIBRARY): $(OBJECTS)
-	$(LIBTOOL) --mode=link --tag=CC $(CC) -rpath '$(LIBDIR)' -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) -o $@ $^
+	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -rpath '$(LIBDIR)' -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) -o $@ $^
 
 tools/%: $(LIBRARY) tools/%.lo
-	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^
+	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $^
 
 %.t: $(LIBRARY) %.lo
-	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^
+	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $^
 
 .PHONY: build-tools
 build-tools: $(TOOLS:.c=)
