=== debian/changelog ===
unibilium (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Tue, 17 Nov 2015 21:41:26 -0500
