=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_auto_install:
	$(MAKE) LDFLAGS="$(LDFLAGS)" DESTDIR="$(CURDIR)/debian/tmp" PREFIX=/usr LIBDIR='$${PREFIX}/lib/$(DEB_HOST_MULTIARCH)' install

override_dh_strip:
	dh_strip --dbg-package=libunibilium-dbg
