## unibilium 2.0.0

=== debian/changelog ===
unibilium (2.0.0-5) unstable; urgency=medium

  * Update CI tests to work with default-enabled -Wl,--as-needed
  * Add Build-Depends-Package to libunibilium4.symbols
  * rules:
    + Ensure CFLAGS/LDFLAGS are consistently used during the build
    + Support DEB_BUILD_OPTIONS=terse
  * Declare compliance with Policy 4.4.1

 -- James McCoy <jamessan@debian.org>  Sun, 17 Nov 2019 21:02:09 -0500

unibilium (2.0.0-4) unstable; urgency=medium

  * Depend on build-essential for ci tests

 -- James McCoy <jamessan@debian.org>  Wed, 25 Jul 2018 00:39:04 -0400

unibilium (2.0.0-3) unstable; urgency=medium

  * Remove no longer needed dbgsym migration
  * Relax checks for extended capability to support new format  (works around
    #904337)
  * Declare compliance with Policy 4.1.5, no changes needed
  * Add debci tests to build/use unibilium

 -- James McCoy <jamessan@debian.org>  Tue, 24 Jul 2018 20:34:30 -0400

unibilium (2.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Fri, 23 Feb 2018 07:38:03 -0500

unibilium (2.0.0-1) experimental; urgency=medium

  * New upstream version
    + Support wide terminfo format
  * Point Vcs-* to salsa.d.o
  * Change Priority to optional
  * Bump debhelper compat to 11
  * Update symbols/package names for ABI/API bump
  * Set R³ to no
  * Declare compliance with Policy 4.1.3
  * Proxy CPPFLAGS through CFLAGS

 -- James McCoy <jamessan@debian.org>  Sun, 18 Feb 2018 21:27:48 -0500

unibilium (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 10
  * Migrate to automatic debug packages
  * Enable hardening build flags
  * Declare compliance with Policy 4.1.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 14 Sep 2017 22:01:50 -0400
