=== debian/tests/control ===
Tests: parse-terminfo
Depends: @, build-essential, ncurses-base, pkg-config
