=== debian/changelog ===
unibilium (2.1.0-3) unstable; urgency=medium

  [ Sven Joachim ]
  * autopkgtest: Fix path to terminfo files (Closes: #1028231)

 -- James McCoy <jamessan@debian.org>  Thu, 22 Jun 2023 19:26:23 -0400

unibilium (2.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + libunibilium-dev: Add Multi-Arch: same.

  [ Sven Joachim ]
  * autopkgtest: Look for terminfo files under /usr/share/terminfo
    (Closes: #1028231)
  * autopkgtest: Fix logic to find -256color terminfo entries

  [ James McCoy ]
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 20 Jun 2023 13:43:17 -0400

unibilium (2.1.0-1) unstable; urgency=medium

  * New upstream release
    + Remove patches, all applied upstream
  * uscan: Switch to neovim-maintained repo
  * copyright: Bump copyright years for debian/
  * Change upstream URLs to neovim repo
  * Run wrap-and-sort -ast
  * Build-Depend on debhelper-compat (= 12)
  * rules:
    + Force makefile buildsystem so CMake is not used
  * Ship static library in libunibilium-dev
  * Tell dh_missing that libunibilium.la is intentionally not shipped
  * Declare compliance with Policy 4.5.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 04 Apr 2020 09:15:15 -0400
