=== debian/control ===
Source: unibilium
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtool-bin,
 perl,
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://github.com/neovim/unibilium
Vcs-Git: https://salsa.debian.org/jamessan/unibilium.git
Vcs-Browser: https://salsa.debian.org/jamessan/unibilium

Package: libunibilium-dev
Section: libdevel
Architecture: any
Depends:
 libunibilium4 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: simple, self-contained terminfo library (development files)
 This package contains the header files and documentation needed for developing
 with libunibilium.

Package: libunibilium4
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple, self-contained terminfo library
 Unibilium is a very basic terminfo library. It doesn't depend on curses or any
 other library. It also doesn't use global variables, so it should be
 thread-safe.
