=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export LIBTOOL
 
 %:
-	dh $@
+	dh $@ --buildsystem makefile
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR="$(CURDIR)/debian/tmp" PREFIX=/usr LIBDIR='$${PREFIX}/lib/$(DEB_HOST_MULTIARCH)' install
