## unibilium 2.1.1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 PKG_MAJOR=2
 PKG_MINOR=1
-PKG_REVISION=0
+PKG_REVISION=1
 
 PKG_VERSION=$(PKG_MAJOR).$(PKG_MINOR).$(PKG_REVISION)
 
@@ -74,10 +74,10 @@
 $(LIBRARY): $(OBJECTS)
 	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -rpath '$(LIBDIR)' -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) -o $@ $^
 
-tools/%: $(LIBRARY) tools/%.lo
+tools/%: $(LIBRARY) $(OBJECTS) tools/%.lo
 	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $^
 
-%.t: $(LIBRARY) %.lo
+%.t: $(LIBRARY) $(OBJECTS) %.lo
 	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $^
 
 .PHONY: build-tools
