=== debian/changelog ===
unibilium (2.1.1-2) unstable; urgency=medium

  * Add :native qualifier to perl Build-Depends
  * Add <!nocheck> profile for perl Build-Depends

 -- James McCoy <jamessan@debian.org>  Wed, 20 Mar 2024 18:41:10 -0400

unibilium (2.1.1-1) unstable; urgency=medium

  [ James McCoy ]
  * New upstream release

  [ Helmut Grohne ]
  * Generate a libtool instead of using libtool-bin (Closes: #1064850)

 -- James McCoy <jamessan@debian.org>  Tue, 19 Mar 2024 08:25:45 -0400
