=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libtool-bin,
- perl,
+ libtool,
+ perl:native <!nocheck>,
 Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
