=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export CFLAGS
 export LDFLAGS
 
-LIBTOOL=libtool
+LIBTOOL=$(CURDIR)/debian/libtool/libtool
 ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 	LIBTOOL+=--quiet
 endif
@@ -16,5 +16,16 @@
 %:
 	dh $@ --buildsystem makefile
 
+# Clean needs to invoke configure so "make clean" doesn't fail
+override_dh_auto_clean: override_dh_auto_configure
+	dh_auto_clean
+	rm -rf debian/libtool
+
+override_dh_auto_configure:
+	mkdir -p debian/libtool
+	cp debian/configure.ac debian/libtool/
+	env -C debian/libtool LIBTOOLIZE='libtoolize -i' autoreconf -f -i
+	dh_auto_configure --sourcedirectory=debian/libtool --buildsystem=autoconf
+
 override_dh_auto_install:
 	$(MAKE) DESTDIR="$(CURDIR)/debian/tmp" PREFIX=/usr LIBDIR='$${PREFIX}/lib/$(DEB_HOST_MULTIARCH)' install
